# Source code for azure.mgmt.notificationhubs.models.notification_hub_properties

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class NotificationHubProperties(Model):
        """NotificationHub properties.

        :param name: The NotificationHub name.
        :type name: str
        :param registration_ttl: The RegistrationTtl of the created
         NotificationHub
        :type registration_ttl: str
        :param authorization_rules: The AuthorizationRules of the created
         NotificationHub
        :type authorization_rules: list of
         :class:`SharedAccessAuthorizationRuleProperties
         <azure.mgmt.notificationhubs.models.SharedAccessAuthorizationRuleProperties>`
        :param apns_credential: The ApnsCredential of the created NotificationHub
        :type apns_credential: :class:`ApnsCredential
         <azure.mgmt.notificationhubs.models.ApnsCredential>`
        :param wns_credential: The WnsCredential of the created NotificationHub
        :type wns_credential: :class:`WnsCredential
         <azure.mgmt.notificationhubs.models.WnsCredential>`
        :param gcm_credential: The GcmCredential of the created NotificationHub
        :type gcm_credential: :class:`GcmCredential
         <azure.mgmt.notificationhubs.models.GcmCredential>`
        :param mpns_credential: The MpnsCredential of the created NotificationHub
        :type mpns_credential: :class:`MpnsCredential
         <azure.mgmt.notificationhubs.models.MpnsCredential>`
        :param adm_credential: The AdmCredential of the created NotificationHub
        :type adm_credential: :class:`AdmCredential
         <azure.mgmt.notificationhubs.models.AdmCredential>`
        :param baidu_credential: The BaiduCredential of the created
         NotificationHub
        :type baidu_credential: :class:`BaiduCredential
         <azure.mgmt.notificationhubs.models.BaiduCredential>`
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'registration_ttl': {'key': 'registrationTtl', 'type': 'str'},
            'authorization_rules': {'key': 'authorizationRules', 'type': '[SharedAccessAuthorizationRuleProperties]'},
            'apns_credential': {'key': 'apnsCredential', 'type': 'ApnsCredential'},
            'wns_credential': {'key': 'wnsCredential', 'type': 'WnsCredential'},
            'gcm_credential': {'key': 'gcmCredential', 'type': 'GcmCredential'},
            'mpns_credential': {'key': 'mpnsCredential', 'type': 'MpnsCredential'},
            'adm_credential': {'key': 'admCredential', 'type': 'AdmCredential'},
            'baidu_credential': {'key': 'baiduCredential', 'type': 'BaiduCredential'},
        }

        def __init__(self, name=None, registration_ttl=None, authorization_rules=None, apns_credential=None, wns_credential=None, gcm_credential=None, mpns_credential=None, adm_credential=None, baidu_credential=None):
            self.name = name
            self.registration_ttl = registration_ttl
            self.authorization_rules = authorization_rules
            self.apns_credential = apns_credential
            self.wns_credential = wns_credential
            self.gcm_credential = gcm_credential
            self.mpns_credential = mpns_credential
            self.adm_credential = adm_credential
            self.baidu_credential = baidu_credential